Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezsitemanager/admin/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 9465 2002-04-24 07:38:20Z jhe $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "classes/ezhttptool.php" );
28 // include_once( "ezuser/classes/ezpermission.php" );
29
30 $user =& eZUser::currentUser();
31 if ( eZPermission::checkPermission( $user, "eZSiteManager", "ModuleEdit" ) == false )
32 {
33 eZHTTPTool::header( "Location: /error/403" );
34 exit();
35 }
36
37 $url_array = explode( "/", $REQUEST_URI );
38
39 switch ( $url_array[2] )
40 {
41 case "template":
42 {
43 switch ( $url_array[3] )
44 {
45 case "list" :
46 {
47 $filePath = $url_array[4];
48 include( "kernel/ezsitemanager/admin/templatelist.php" );
49 }
50 break;
51
52 case "edit" :
53 {
54 $filePath = $url_array[4];
55 include( "kernel/ezsitemanager/admin/templateedit.php" );
56 }
57 break;
58 }
59
60 }
61 break;
62
63 case "menu":
64 {
65 switch ( $url_array[3] )
66 {
67 case "list" :
68 {
69 $ParentID = $url_array[4];
70 include( "kernel/ezsitemanager/admin/menulist.php" );
71 }
72 break;
73
74 case "edit" :
75 {
76 $MenuID = $url_array[4];
77 include( "kernel/ezsitemanager/admin/menuedit.php" );
78 }
79 break;
80 }
81 }
82 break;
83
84
85 case "siteconfig":
86 {
87 include( "kernel/ezsitemanager/admin/siteconfig.php" );
88 }
89 break;
90
91 case "csseditor":
92 {
93 include( "kernel/ezsitemanager/admin/csseditor.php" );
94 }
95 break;
96
97 case "file":
98 {
99 switch ( $url_array[3] )
100 {
101 case "list" :
102 {
103 include( "kernel/ezsitemanager/admin/filelist.php" );
104 }
105 break;
106
107 case "edit" :
108 {
109 $fileName = $url_array[4];
110 include( "kernel/ezsitemanager/admin/fileedit.php" );
111 }
112 break;
113 }
114 }
115 break;
116
117 case "sqladmin":
118 {
119 include( "kernel/ezsitemanager/admin/sqlquery.php" );
120 }
121 break;
122
123 case "cache":
124 {
125
126 switch ( $url_array[3] )
127 {
128 case "variation":
129 {
130 include( "kernel/ezsitemanager/admin/imagevariationadmin.php" );
131 }
132 break;
133
134 case "template":
135 {
136 include( "kernel/ezsitemanager/admin/cacheadmin.php" );
137 }
138 break;
139
140 default :
141 {
142 include( "kernel/ezsitemanager/admin/cacheadmin.php" );
143 }
144 break;
145 }
146 }
147 break;
148
149 case "imagecache":
150 {
151 include( "kernel/ezsitemanager/admin/imagevariationcacheadmin.php" );
152 }
153 break;
154
155 case "section":
156 {
157
158 switch ( $url_array[3] )
159 {
160 case "list":
161 {
162 if ( $url_array[4] == "parent" )
163 $Offset = $url_array[5];
164 include( "kernel/ezsitemanager/admin/sectionlist.php" );
165 }
166 break;
167
168
169 case "edit":
170 case "new":
171 case "delete":
172 case "update":
173 case "insert":
174 {
175 if ( isset( $url_array[5] ) && $url_array[5] == "up" )
176 {
177 $RowID = $url_array[6];
178 $Action = "up";
179 }
180 if ( isset( $url_array[6] ) && $url_array[5] == "down" )
181 {
182 $RowID = $url_array[6];
183 $Action = "down";
184 }
185
186 if ( isset( $url_array[4] ) && is_numeric( $url_array[4] ) )
187 $SectionID = $url_array[4];
188 include ( "kernel/ezsitemanager/admin/sectionedit.php" );
189 }
190 break;
191 }
192 break;
193 }
194 break;
195
196 default :
197 {
198 eZHTTPTool::header( "Location: /error/404" );
199 exit();
200 }
201 break;
202 }
203
204 ?>
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
$Action
$Action
Definition: companysearch.php:80
$Offset
$Offset
Definition: ezarticle/user/search.php:110
$fileName
if(eZObjectPermission::hasPermission( $file->id(), "filemanager_file", "r", $user)==false) $fileName
Definition: ezfilemanager/user/filedownload.php:43
$filePath
$filePath
Definition: ezfilemanager/user/filedownload.php:50
$SectionID
$SectionID
Definition: ezfilemanager/user/filelist.php:46
$user
$user
Definition: ezsitemanager/admin/datasupplier.php:30
$url_array
if(eZPermission::checkPermission( $user, "eZSiteManager", "ModuleEdit")==false) $url_array
Definition: ezsitemanager/admin/datasupplier.php:37
$ParentID
$ParentID
Definition: eztrade/admin/categorylist.php:171
exit
exit
Definition: folder.php:81
$REQUEST_URI
$REQUEST_URI
Definition: storestats.php:32
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.